<?php

namespace PiiuHelmes\Model;

class User
{
    /**
     * @var int
     */
    protected $id;

    /**
     * @var string
     */
    protected $name;

    /**
     * @var array
     */
    protected $sectors = [];

    /**
     * @var bool
     */
    protected $agree = false;

    /**
     * @param array $rawData
     */
    public function __construct($rawData = [])
    {
        $this->id = $rawData['id'] ?? null;
        $this->name = $rawData['name'] ?? null;
        $this->agree = $rawData['agree'] ?? false;
        $this->sectors = $rawData['sectors'] ?? [];
    }

    /**
     * @return bool
     */
    public function hasId(): bool
    {
        return $this->id !== null;
    }

    /**
     * @return int|null
     */
    public function getId(): ?int
    {
        return $this->id;
    }

    /**
     * @param int $id
     */
    public function setId(int $id)
    {
        $this->id = $id;
    }

    /**
     * @return string|null
     */
    public function getName(): ?string
    {
        return $this->name;
    }

    /**
     * @param string $name
     */
    public function setName(string $name)
    {
        $this->name = $name;
    }

    /**
     * @return array
     */
    public function getSectors(): array
    {
        return $this->sectors;
    }

    /**
     * @param array $sectors
     */
    public function setSectors(array $sectors)
    {
        $this->sectors = $sectors;
    }

    /**
     * @return bool
     */
    public function isAgree(): bool
    {
        return $this->agree;
    }

    /**
     * @param bool $agree
     */
    public function setAgree(bool $agree)
    {
        $this->agree = $agree;
    }
}