<?php

use Silex\Application;
use Silex\Provider\DoctrineServiceProvider;
use Silex\Provider\FormServiceProvider;
use Silex\Provider\LocaleServiceProvider;
use Silex\Provider\SessionServiceProvider;
use Silex\Provider\TranslationServiceProvider;
use Silex\Provider\TwigServiceProvider;
use Silex\Provider\ValidatorServiceProvider;
use PiiuHelmes\Repository\SectorRepository;
use PiiuHelmes\Repository\UserRepository;

require_once __DIR__ . '/../vendor/autoload.php';
require_once __DIR__ . '/../conf.php';

$app = new Application();

global $dbConf;
$app->register(new DoctrineServiceProvider(), $dbConf);
$app->register(new SessionServiceProvider());
$app->register(new FormServiceProvider());
$app->register(new ValidatorServiceProvider());
$app->register(new LocaleServiceProvider());
$app->register(new TwigServiceProvider(), [
    'twig.path' => __DIR__.'/../src/View'
]);
$app->register(new TranslationServiceProvider(), [
    'translator.domains' => []
]);

$app['sectorRepository'] = function(Application $app) {
    return new SectorRepository($app['db']);
};
$app['userRepository'] = function(Application $app) {
    return new UserRepository($app['db']);
};

$app->get('/', "PiiuHelmes\\Controller\\FormController::indexAction")->bind('index');
$app->post('/', "PiiuHelmes\\Controller\\FormController::indexAction");

$app->run();